import QtQuick 2.0
import Sailfish.Silica 1.0
import fi.mikkosoft.xinema 0.1

Page
{
	id: page

	Item
	{
		width: page.width
		height: page.height

		PageHeader
		{
			title: qsTr("Connecting...")
		}

		Column
		{
			width: parent.width
			spacing: Theme.paddingSmall
			anchors.verticalCenter: parent.verticalCenter

			Label
			{
				width: parent.width
				text: "Searching for Xinema server"
				horizontalAlignment: Text.AlignHCenter
			}
			Label
			{
				width: parent.width
				text: "Please wait"
				horizontalAlignment: Text.AlignHCenter
			}
		}

		Discovery
		{
			id: discovery
			active: true

			onServerNameChanged:
			{
				discovery.active = false;
				xinemaControl.connect(discovery.serverName);
				pageStack.replace("BrowsePage.qml");
			}
		}
	}
}

